Add item
POST /bookings/v4/{id}/items
POST
/bookings/v4/{id}/items
Adds a new item to an existing booking. Quotes will be recalculated to reflect the updated items.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
integer
Example
12345678Booking ID
Request Body required
Section titled “Request Body required ”object
weight
required
Weight in kilograms
number
Example
5 height
required
Height in centimetres
number
Example
20 width
required
Width in centimetres
number
Example
30 length
required
Length in centimetres
number
Example
40 quantity
required
Number of identical items
integer
Example
1 description
required
Description of the item
string
Example
ElectronicsExample
{ "weight": 2, "height": 10, "width": 15, "length": 20, "quantity": 2, "description": "Books"}Responses
Section titled “ Responses ”Item added
object
id
Unique item identifier
integer
Example
1 description
Description of the item
string
Example
Electronics weight
Weight in kilograms
number
Example
5 length
Length in centimetres
number
Example
40 width
Width in centimetres
number
Example
30 height
Height in centimetres
number
Example
20 quantity
Number of identical items
integer
Example
1Validation error
object
error
Error code or type
string
Example
validation_error message
Human-readable error message
string
Example
The sender postcode field is required.Unauthorized
object
error
Error code or type
string
Example
validation_error message
Human-readable error message
string
Example
The sender postcode field is required.Booking not found
object
error
Error code or type
string
Example
validation_error message
Human-readable error message
string
Example
The sender postcode field is required.